import { getShopeeSellerFallbackInfo } from '@/api/shopee/seller';

const shopInfo = {
  shopId: 0,
  username: '',
  shopName: '',
};

getShopeeSellerFallbackInfo()
  .then((sellerFallback) => {
    shopInfo.shopId = sellerFallback.shopId;
    shopInfo.username = sellerFallback.username;
    shopInfo.shopName = sellerFallback.shopName;
  })
  .catch(() => {});

export const getShopeeSellerId = () => shopInfo.shopId;
